package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxSwitchPortModel;

/**
 * nsx逻辑交换机端口接口
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月24日
 */
public interface SwitchPortProvider extends SuperProvider {
    BocloudResult list(String switchId);

    BocloudResult create(NsxSwitchPortModel model);

    BocloudResult remove(String portId);

    BocloudResult detail(String portId);

    BocloudResult update(NsxSwitchPortModel model);
}
